# Interface NameCompletion

All Known Implementing Classes:
  `NameCompletionTable`

public interface NameCompletion
The interface for name completion.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`completeName(String part)`
Return an array containing a string element of the maximum unambiguous namespace completion or, if there is no common prefix, return the list of ambiguous names.

## Method Details

### completeName

String[] completeName(String part)
Return an array containing a string element of the maximum unambiguous namespace completion or, if there is no common prefix, return the list of ambiguous names. e.g. input: "java.l" output: [ "java.lang." ] input: "java.lang." output: [ "java.lang.Thread", "java.lang.Integer", ... ] Note: Alternatively, make a NameCompletionResult object someday...